flatten.hpp File Reference

Forward declares `boost::hana::flatten`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::flatten
| Collapse two levels of monadic structure into a single level.Given a monadic value wrapped into two levels of monad, `flatten` removes one such level. An implementation of `flatten` must satisfy. More...

## Detailed Description

Forward declares `boost::hana::flatten`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)